summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEray Aslan <eras@gentoo.org>2014-12-03 07:56:29 +0000
committerEray Aslan <eras@gentoo.org>2014-12-03 07:56:29 +0000
commitd2963d25f43ca47dc9ec17c86754292480b9cafb (patch)
tree49d03d7a4dc99001d79e149d06bd8721dfa98295 /mail-filter/amavisd-new
parentVersion bump wrt bug #530400. (diff)
downloadhistorical-d2963d25f43ca47dc9ec17c86754292480b9cafb.tar.gz
historical-d2963d25f43ca47dc9ec17c86754292480b9cafb.tar.bz2
historical-d2963d25f43ca47dc9ec17c86754292480b9cafb.zip
Use dev-perl/ZMQ-LibZMQ3 - see bug #531242
Package-Manager: portage-2.2.14/cvs/Linux x86_64 Manifest-Sign-Key: 0x77F1F175586A3B1F
Diffstat (limited to 'mail-filter/amavisd-new')
-rw-r--r--mail-filter/amavisd-new/ChangeLog7
-rw-r--r--mail-filter/amavisd-new/Manifest29
-rw-r--r--mail-filter/amavisd-new/amavisd-new-2.10.1-r1.ebuild181
3 files changed, 202 insertions, 15 deletions
diff --git a/mail-filter/amavisd-new/ChangeLog b/mail-filter/amavisd-new/ChangeLog
index 3a09ed5941ee..4d1c90a55459 100644
--- a/mail-filter/amavisd-new/ChangeLog
+++ b/mail-filter/amavisd-new/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for mail-filter/amavisd-new
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/mail-filter/amavisd-new/ChangeLog,v 1.214 2014/10/28 12:56:11 eras Exp $
+# $Header: /var/cvsroot/gentoo-x86/mail-filter/amavisd-new/ChangeLog,v 1.215 2014/12/03 07:56:19 eras Exp $
+
+*amavisd-new-2.10.1-r1 (03 Dec 2014)
+
+ 03 Dec 2014; Eray Aslan <eras@gentoo.org> +amavisd-new-2.10.1-r1.ebuild:
+ Use dev-perl/ZMQ-LibZMQ3 - see bug #531242
*amavisd-new-2.10.1 (28 Oct 2014)
diff --git a/mail-filter/amavisd-new/Manifest b/mail-filter/amavisd-new/Manifest
index 60761d9eb508..f38d5b478da9 100644
--- a/mail-filter/amavisd-new/Manifest
+++ b/mail-filter/amavisd-new/Manifest
@@ -9,26 +9,27 @@ DIST amavisd-new-2.10.1.tar.xz 767716 SHA256 1d3d3f372d0888018b950ee19704c298b5d
DIST amavisd-new-2.7.2.tar.gz 945448 SHA256 4665e0fb9a71f483f1123113a006291e37f744a5880f945ccf9fd34d51cb9275 SHA512 f707a5ac9d6acee2f9d144fda86fed92bbf33693858262ab0a95663da50f78a023102d9d50dd5a6a256ef6302a241f9c28d2b190e3efe2110c0eea15557ae756 WHIRLPOOL c0422d80b9dc11a7a2e9cb10092b7c97c02536aa852f70c566ab6e2e6a865b901ad24caf626b8b02ee64979bced7c25f03888827fd47ffbc4e733bb733e08c9e
DIST amavisd-new-2.8.1.tar.xz 731816 SHA256 6e333a70adbd24ec52202700059fbf133e20b3c3bf5ec6f4bb10f9a2f25ea82e SHA512 a840b57513b8a7b18e15085016c273ba2fba5cceb76ef52c52aa2ca34e9257be78f8bb8ea350dbdac3b26d2aba8f5aae821c1c45f2d37bc6be04ff2efb9f3ade WHIRLPOOL 0d0ce9a1e8adae101d0aace45251c02118c8f4481e67ab1af7fb32843010ac9e0b9f8ab88f0769a27c1e74e297507efe53c3a6e8ce84c616e1beeaf281027044
DIST amavisd-new-2.9.1.tar.xz 753076 SHA256 442d6c185c19fd1d3288ee7eb2ac102a7d541c4d6e1724cdaf369df6ca629ba0 SHA512 6829a769f50498aaec4fd5c198059f828e9ba90223083e439caa9d2bd19006e0cff8ae7b1e2416009bd2514aae4428598142e86a63260b5292c15b515792a7af WHIRLPOOL 82c8630323e718b5fe9eccf38d592f6539cc56616f2eb0bea590e4d0b8ad70f30cfb2a7c13afddd1f838a26cd82cc6338199c3f9e2a402f1c67e1fe240deaed1
+EBUILD amavisd-new-2.10.1-r1.ebuild 4752 SHA256 93ab76f44a99f3d2978829837d561c914f960bc72b401e35e9d71b85bfba00a6 SHA512 9f5e100ddfa7952becee3b5ad41e914cd6933bd60b49622903911e99c0acf7f1f63976a48c09884acd07ffc153c17e05cefba9ea915823503bfdf55ec865fc05 WHIRLPOOL e1c76462a8bda02d4e4b929ebdb3dbdb07dfd69442300debd4200fb8fae871c2631b3f4c3b1147a303d3e0242e1fd250590e8c8ec04ccaebf7eb37d41e44fc9c
EBUILD amavisd-new-2.10.1.ebuild 4767 SHA256 f526925bc79b3f1aa61a075c60519c3b2e831b99a03ee1631fb33ecf4c86177d SHA512 2c43d1eddd4b3ae3337ca037d057503fa1e754cd341d396e70798cde1b5a443ca4ed70d28c3dc4654aa1d23d8c80901a3d06013a0507832318f73d607a557665 WHIRLPOOL a5332a6650fcbd0ed92e39b2887f50df28b4f126eb04a225f3d4b8566a170cfcc296a6342d850d9544614f61f8997629660c75b91c81af048ba82f4ea6c29dd5
EBUILD amavisd-new-2.7.2.ebuild 4283 SHA256 b77a48ce6b0f0136d2c96c94a38bd4fc057a98ea3a2ca07292265a258bfebe27 SHA512 bc5f2907f19bad9ded467652ad57979de24e4d5a0f46ccae44d04bbaf9b3d67c7e5fa8620d7fda6c642635fd75cf76464b350bca1f1b7a5569dd49d41e5b90f2 WHIRLPOOL 6ef35b597ca58208332f535b8d69fe6d58f36ff4aca8fd123f3058b9060271fcfbe3dee761ced69ed2fa4554999a2bd771bc4c14ba842e1bddce667556eb1d83
EBUILD amavisd-new-2.8.1-r1.ebuild 4933 SHA256 460edc48bf55f41158ada08c609f0dad56aa75d65ca617dddaeef85f2268b269 SHA512 62dfad299d7ee1929bf7345773ff8c2d6fcd53245d02c947cf94cf87aeb567ba606a9d315fd1a97f5cba2ebb9dd3c1d8a32110531ba1a4d287da3d9b9fdf46bc WHIRLPOOL 80ec0ec62cce9aff4f509fc8c9324d6c28243f52d3f0f0dc0ca678b8d0973b32b3dc9ca274c96e6009954096cc0556e89d079141f8f80e9eacde87ea8dc7e413
EBUILD amavisd-new-2.9.1.ebuild 4750 SHA256 df21c5797b73a4beceaff46e47a3743e061b1db06241ce78e6c0b377d7a08e27 SHA512 3b519788c631d2ffddbbc49580edd581f538fc2c88dbb96f31d555d390ac9ddfe1bfa6879d7e29a509953a5e6edf67f56019a29a3187fd738ea99ddd0d274986 WHIRLPOOL e0119f46b396423d0827722b83c39400f70f5895139e6ad67ae1f3db0b88ace7b28dc16bedde19807f16a920faa70ca91617cd60de36e07c1a8cbb04b93fd717
-MISC ChangeLog 38886 SHA256 2eeba3339cfc77d1cb2bb9946e61f1855d5fa8372cd9998c394ea79dbba112e0 SHA512 caad31f9977d1467ce54bca0273bc2b7f0ee9ef2bf7cf055516e0f1f3a00361565ce8177eeb06fc40cd12a8218f32ffa2004eeddfdfaac3e136f26ed9baf001b WHIRLPOOL 2ee75208e0012f63b5b4cd32f0939c2e5de0bb207d8b67438fbfd59cb746ac65932c95be86ec3c720b4aecd56b35bee9292e98195eb5a1e46733740ffb243149
+MISC ChangeLog 39045 SHA256 50f092e1ee9846edd635cdf15b2aff4cbbf65f6cd646deec6c973f3b966f4ff6 SHA512 bb679337f2462f99073e04dd63f0241c073a991e3670d6da482621a881624a94285f961407e0ef6944b21119c672a409e7207ff1278ac3faf260e4ca7acff2a5 WHIRLPOOL ae4614e38be7ae57dcc5c83e06cec75fd1e84ed6ae482e5f6b30c0ec08883333728fa7775e4c1405f96f8e625e8f7b1cd796df16fbc37f9fab9e3a5ea29fb2c3
MISC metadata.xml 558 SHA256 d35f31e5c8a6d678fedb999a042c59eaa48a806558cf4e18f0f359ee64f7167b SHA512 af4c3ab95878fd14ad870c4364b3e4c03b863b2501ab2d899c4d6a8bc58e3d3d488f4fcba685939242d3690f490b9113af3675fdd14159eed8d8c873dd6f516c WHIRLPOOL a1dc324646fe6226f635030f825c25ed6e39cdc0a2c51f1a729f9225ff5e234d6c3f0ea297427d00a9ce3e5bbb64b8cac64fc49db78306bb0e5c077b9f1a437c
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2
-iQIcBAEBCAAGBQJUT5J1AAoJEHfx8XVYajsfB4UP/jZ0WKgtamEvhWREh3Gecryj
-TSUNFhb6laHmzGNeUXUQwQYoTPXj8OevhCGEd16PMoWy6gvrgILu60oEc7wbyjh/
-MsNiBqqIJrs+jzxov1r8SOcBPXGvXajsxCaB+BRsmOc3PaUV4wLiGQCLWAeNAyKf
-YYVWE7yEqa+7W560dmFM02azMtslDZhD3BAxHaRCqOyGgRCk7zaTOIBX/+j5cegk
-nx5wGs5TdwsokTS6KmyJF7naN6GH/4wwgEEC2AuzSUdYHqcsDi94VLJy0/hGqXJw
-mxXwn3e77CR289yO+lApAnhHEeNY4UOqSAXuZmC+7JgIM0yIYP6BHG4TDD6QRkcS
-2zRDw6qjEVvAie8l/WPZMZcaoxqU7u2Ih6upAo1rczfYXvduhiXqRBfVX/P3CzSV
-tbnzdvwQCBiQu7MNMjuGu7vJoNhL+a/tJtos6Vi2pzE7X2Avs+TpiMoMK0lcEELU
-Wgpq8gHzHAAbgUgQTWSUzOCFV43bghxLPWn4XqLsQIKnJiMkwTgthsQAiOlFQGPD
-Og5CCHl9OmwLo6F3jXRUn86v87X5R8HYlh9cas85aY3ph/U2YdBYPzYdfeAAymsI
-TtCOpg6Nifqp6JcHYBJYPv9m3eds9iObzPOFMP0Sn2xQZznl4bzNzTgvniuLRuoq
-cmFa8LNVpcq9kAJ6qkvT
-=VlmN
+iQIcBAEBCAAGBQJUfsItAAoJEHfx8XVYajsfyI8P/36nrfWPj0hSABqb1aRGiCLg
+VvzXGx7gnHtMmFyDzfsuaCy8o3PcOeS7PLgM2fGHxbmmNI30EuUz5kIKh34352CU
+7EKpP7tkfwmr4NGudI+pcEOwd7X1Vr4wirye+k0smzoy7XUJzcMu/pAwxpoA6Fo1
+lRKOm3LKDb9dX+eXU3XTkliGx8xoIGb/Hr/4HUyFI+prP8BJ+YOF/wz7hYakqEoL
+Q7gEbhdCkp3N/CouVrSs6rbiVwKJCbsZwZm9gXLP9O2yxycYOSTclix83v5LurGt
+FGqZd8edCdbhfWqUcit/3IS5glcXWZ719+QQzGUka0Q8i/IebZvR+MiGcmrn5MBn
+os2QBx6bN+L28UqV99nvXry62VAh060JbllmJsL9/NajKiS06xeAWO5SfuXoN9Uz
+Bs8ju7rnVB0YgJ5hK6FxohehKR4PJV98oN+V35Kf/kth+49AEJBbv0x/7+/o/2OZ
+w8fDkFlxc/0AqSRZtq7U4dsE+7rKx9lJwtxpg/jyDc+ZraB7xpEvxsEHDVzka47W
+ow3D6sapG5yyX7YzDuCniHoYVLUYruQyetTmf5RHw7gRPNyAd2hzNnrq3V7cRBiT
+8hWvyM1Rc7O1ZmJXGkW3LlZpaUOrLKVT6sHFNszsaQVJVIl3YLBdljegIVuos2hS
+Jliq6FAb0ss5Tfvoni/7
+=UVYC
-----END PGP SIGNATURE-----
diff --git a/mail-filter/amavisd-new/amavisd-new-2.10.1-r1.ebuild b/mail-filter/amavisd-new/amavisd-new-2.10.1-r1.ebuild
new file mode 100644
index 000000000000..29fdbf934192
--- /dev/null
+++ b/mail-filter/amavisd-new/amavisd-new-2.10.1-r1.ebuild
@@ -0,0 +1,181 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/mail-filter/amavisd-new/amavisd-new-2.10.1-r1.ebuild,v 1.1 2014/12/03 07:56:19 eras Exp $
+
+EAPI=5
+inherit eutils systemd user
+
+MY_P="${P/_/-}"
+DESCRIPTION="High-performance interface between the MTA and content checkers"
+HOMEPAGE="http://www.ijs.si/software/amavisd/"
+SRC_URI="http://www.ijs.si/software/amavisd/${MY_P}.tar.xz"
+
+LICENSE="GPL-2 BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~sparc ~x86"
+IUSE="clamav courier dkim ldap mysql postgres qmail razor snmp spamassassin zmq"
+
+DEPEND=">=sys-apps/sed-4
+ >=dev-lang/perl-5.8.2"
+
+RDEPEND="${DEPEND}
+ >=sys-apps/coreutils-5.0-r3
+ app-arch/cpio
+ app-arch/gzip
+ app-arch/bzip2
+ app-arch/arc
+ app-arch/cabextract
+ app-arch/freeze
+ app-arch/lha
+ app-arch/lrzip
+ app-arch/lzop
+ app-arch/ncompress
+ app-arch/p7zip
+ app-arch/pax
+ app-arch/unarj
+ app-arch/unrar
+ app-arch/xz-utils
+ app-arch/zoo
+ net-mail/ripole
+ >=dev-perl/Archive-Zip-1.14
+ >=virtual/perl-IO-Compress-1.35
+ >=virtual/perl-Compress-Raw-Zlib-2.017
+ net-mail/tnef
+ virtual/perl-MIME-Base64
+ >=dev-perl/MIME-tools-5.415
+ >=dev-perl/MailTools-1.58
+ >=dev-perl/net-server-0.91
+ virtual/perl-Digest-MD5
+ dev-perl/IO-stringy
+ virtual/perl-IO-Socket-IP
+ >=virtual/perl-Time-HiRes-1.49
+ dev-perl/Unix-Syslog
+ dev-perl/Net-LibIDN
+ sys-apps/file
+ >=sys-libs/db-4.4.20
+ dev-perl/BerkeleyDB
+ dev-perl/Convert-BinHex
+ >=dev-perl/Mail-DKIM-0.31
+ virtual/mta
+ clamav? ( app-antivirus/clamav )
+ ldap? ( >=dev-perl/perl-ldap-0.33 )
+ mysql? ( dev-perl/DBD-mysql )
+ postgres? ( dev-perl/DBD-Pg )
+ razor? ( mail-filter/razor )
+ snmp? ( net-analyzer/net-snmp[perl] )
+ spamassassin? ( mail-filter/spamassassin )
+ zmq? ( dev-perl/ZMQ-LibZMQ3 )"
+
+AMAVIS_ROOT="/var/amavis"
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ if use courier ; then
+ epatch amavisd-new-courier.patch
+ fi
+
+ if use qmail ; then
+ epatch amavisd-new-qmqpqq.patch
+ fi
+
+ sed -i \
+ -e '/daemon/s/vscan/amavis/' \
+ -e "s:'/var/virusmails':\"\$MYHOME/quarantine\":" \
+ "${S}/amavisd.conf" "${S}/amavis-mc" || die "missing conf file"
+
+ if ! use dkim ; then
+ sed -i -e '/enable_dkim/s/1/0/' "${S}/amavisd.conf" \
+ || die "missing conf file - dkim"
+ fi
+
+ if use zmq ; then
+ sed -i -e '/enable_zmq/s/# //' "${S}/amavisd.conf" \
+ || die "missing conf file - zmq"
+ fi
+
+ if ! use spamassassin ; then
+ sed -i -e \
+ "/^#[[:space:]]*@bypass_spam_checks_maps[[:space:]]*=[[:space:]]*(1)/s/^#//" \
+ "${S}/amavisd.conf" || die "missing conf file - sa"
+ fi
+}
+
+src_install() {
+ dosbin amavisd amavisd-agent amavisd-nanny amavisd-release \
+ amavisd-signer amavisd-status
+ dobin p0f-analyzer.pl amavisd-submit
+
+ if use snmp ; then
+ dosbin amavisd-snmp-subagent
+ use zmq && dosbin amavisd-snmp-subagent-zmq
+ dodoc AMAVIS-MIB.txt
+ fi
+
+ if use zmq ; then
+ dosbin amavis-services amavis-mc
+ newinitd "${FILESDIR}"/amavis-mc.initd amavis-mc
+ fi
+
+ insinto /etc
+ insopts -m0640
+ doins amavisd.conf
+
+ newinitd "${FILESDIR}/amavisd.initd-r1" amavisd
+
+ systemd_dounit "${FILESDIR}/amavisd.service"
+ use clamav || sed -i -e '/Wants=clamd/d' "${ED}"/usr/lib/systemd/system/amavisd.service
+ use spamassassin || sed -i -e '/Wants=spamassassin/d' "${ED}"/usr/lib/systemd/system/amavisd.service
+
+ keepdir "${AMAVIS_ROOT}"
+ keepdir "${AMAVIS_ROOT}/db"
+ keepdir "${AMAVIS_ROOT}/quarantine"
+ keepdir "${AMAVIS_ROOT}/tmp"
+ keepdir "${AMAVIS_ROOT}/var"
+
+ dodoc AAAREADME.first INSTALL MANIFEST RELEASE_NOTES TODO \
+ amavisd.conf-default amavisd-custom.conf
+
+ docinto README_FILES
+ dodoc README_FILES/README*
+ dohtml README_FILES/*.{html,css}
+ docinto README_FILES/images
+ dodoc README_FILES/images/*.png
+ docinto README_FILES/images/callouts
+ dodoc README_FILES/images/callouts/*.png
+
+ docinto test-messages
+ dodoc test-messages/README
+ dodoc test-messages/sample.tar.gz.compl
+
+ if use ldap ; then
+ dodir /etc/openldap/schema
+ insinto /etc/openldap/schema
+ insopts -o root -g root -m 644
+ newins LDAP.schema ${PN}.schema || die
+ fi
+}
+
+pkg_preinst() {
+ enewgroup amavis
+ enewuser amavis -1 -1 "${AMAVIS_ROOT}" amavis
+ if use razor ; then
+ if [ ! -d "${ROOT}${AMAVIS_ROOT}/.razor" ] ; then
+ elog "Setting up initial razor config files..."
+
+ razor-admin -create -home="${D}/${AMAVIS_ROOT}/.razor"
+ sed -i -e "s:debuglevel\([ ]*\)= .:debuglevel\1= 0:g" \
+ "${D}/${AMAVIS_ROOT}/.razor/razor-agent.conf" || die
+ fi
+ fi
+
+ if has_version "<${CATEGORY}/${PN}-2.7.0" ; then
+ elog "Amavisd-new ships with a short and condensed config file now."
+ elog "Transferring your current settings to the new format is"
+ elog "recommended for ease of future upgrades."
+ fi
+}
+
+pkg_postinst() {
+ chown root:amavis "${ROOT}/etc/amavisd.conf"
+ chown -R amavis:amavis "${ROOT}/${AMAVIS_ROOT}"
+}